### Hierarchy

- RadioGroup

### Implements

- AfterContentInit
- AfterViewInit
- ControlValueAccessor

## Index

### Inputs

- ariaLabel
- ariaLabelledby
- labelPlacement
- orientation
- disabled
- name
- selected
- skeleton
- value

### Outputs

- change

### Properties

- _disabled
- _name
- _selected
- _skeleton
- _value
- ariaLabel
- ariaLabelledby
- change
- isInitialized
- labelPlacement
- orientation
- radioButtonGroupClass
- radios
- radioGroupCount

### Accessors

- disabled
- name
- selected
- skeleton
- value

### Methods

- checkSelectedRadio
- emitChangeEvent
- focusOut
- ngAfterContentInit
- ngAfterViewInit
- onTouched
- propagateChange
- registerOnChange
- registerOnTouched
- setDisabledState
- updateChildren
- updateRadioChangeHandler
- updateRadios
- updateSelectedRadioFromValue
- writeValue

## Properties

### Protected _disabled

_disabled: boolean = false

- Defined in src/radio/radio-group.component.ts:205

### Protected _name

_name: string = `radio-group-${RadioGroup.radioGroupCount++}`

- Defined in src/radio/radio-group.component.ts:221

### Protected _selected

_selected: Radio = null

- Defined in src/radio/radio-group.component.ts:217

### Protected _skeleton

_skeleton: boolean = false

- Defined in src/radio/radio-group.component.ts:209

### Protected _value

_value: any = null

- Defined in src/radio/radio-group.component.ts:213

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/radio/radio-group.component.ts:83

### ariaLabelledby

@Input()
ariaLabelledby: string

- Defined in src/radio/radio-group.component.ts:88

### change

@Output()
change: EventEmitter<RadioChange> = new EventEmitter<RadioChange>()

- Defined in src/radio/radio-group.component.ts:93

### Protected isInitialized

isInitialized: boolean = false

- Defined in src/radio/radio-group.component.ts:201

### labelPlacement

@Input()
labelPlacement: "right" | "left" = "right"

- Defined in src/radio/radio-group.component.ts:77

### orientation

@Input()
orientation: "horizontal" | "vertical" = "horizontal"

- Defined in src/radio/radio-group.component.ts:75

### radioButtonGroupClass

@HostBinding({"hostPropertyName":"class.bx--form-item"})
radioButtonGroupClass: boolean = true

- Defined in src/radio/radio-group.component.ts:196

### radios

@ContentChildren({"selector":"forwardRef(() => Radio)"})
radios: QueryList<Radio>

- Defined in src/radio/radio-group.component.ts:99

### Static radioGroupCount

radioGroupCount: number = 0

- Defined in src/radio/radio-group.component.ts:73

## Accessors

### disabled

@Input()
disabled:

- Defined in src/radio/radio-group.component.ts:166
- Defined in src/radio/radio-group.component.ts:173

### name

@Input()
name:

- Defined in src/radio/radio-group.component.ts:151
- Defined in src/radio/radio-group.component.ts:158

### selected

@Input()
selected:

- Defined in src/radio/radio-group.component.ts:105
- Defined in src/radio/radio-group.component.ts:123

### skeleton

@Input()
skeleton:

- Defined in src/radio/radio-group.component.ts:181
- Defined in src/radio/radio-group.component.ts:188

### value

@Input()
value:

- Defined in src/radio/radio-group.component.ts:131
- Defined in src/radio/radio-group.component.ts:143

## Methods

### checkSelectedRadio

- checkSelectedRadio(): void

- - Defined in src/radio/radio-group.component.ts:226

  #### Returns void

### emitChangeEvent

- emitChangeEvent(event: RadioChange): void

- - Defined in src/radio/radio-group.component.ts:267

  #### Parameters

  - ##### event: RadioChange

  #### Returns void

### focusOut

@HostListener({"eventName":"focusout"})

- focusOut(): void

- - Defined in src/radio/radio-group.component.ts:331

  #### Returns void

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/radio/radio-group.component.ts:301

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/radio/radio-group.component.ts:311

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/radio/radio-group.component.ts:338

  #### Returns void

### propagateChange

- propagateChange(_: any): void

- - Defined in src/radio/radio-group.component.ts:343

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/radio/radio-group.component.ts:318

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/radio/radio-group.component.ts:326

  #### Parameters

  - ##### fn: any

  #### Returns void

### setDisabledState

- setDisabledState(isDisabled: boolean): void

- - Defined in src/radio/radio-group.component.ts:260

  #### Parameters

  - ##### isDisabled: boolean

  #### Returns void

### Protected updateChildren

- updateChildren(): void

- - Defined in src/radio/radio-group.component.ts:345

  #### Returns void

### Protected updateRadioChangeHandler

- updateRadioChangeHandler(): void

- - Defined in src/radio/radio-group.component.ts:351

  #### Returns void

### updateRadios

- updateRadios(): void

- - Defined in src/radio/radio-group.component.ts:276

  #### Returns void

### updateSelectedRadioFromValue

- updateSelectedRadioFromValue(): void

- - Defined in src/radio/radio-group.component.ts:235

  #### Returns void

### writeValue

- writeValue(value: any): void

- - Defined in src/radio/radio-group.component.ts:293

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc